<?xml version="1.0"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.keao.edu</groupId>
        <artifactId>edu-saas</artifactId>
        <version>1.0</version>
    </parent>
    <artifactId>edu-thirdparty</artifactId>
    <name>edu-thirdparty</name>
    <url>http://maven.apache.org</url>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <dependencies>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context</artifactId>
            <scope>compile</scope>
        </dependency>
        
        <dependency>
            <groupId>com.aliyun.oss</groupId>
            <artifactId>aliyun-sdk-oss</artifactId>
            <version>2.8.3</version>
        </dependency>

		<dependency>
			<groupId>com.qiniu</groupId>
			<artifactId>qiniu-java-sdk</artifactId>
			<version>7.2.29</version>
		</dependency>
        
        <dependency>
            <groupId>com.keao.edu</groupId>
            <artifactId>edu-util</artifactId>
        </dependency>

        <dependency>
            <groupId>com.timevale</groupId>
            <artifactId>tech-sdk</artifactId>
            <version>2.1.20</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/libs/tech-sdk-2.1.20.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.timevale</groupId>
            <artifactId>smUtil</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/libs/smUtil-1.0.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.timevale</groupId>
            <artifactId>tgtext</artifactId>
            <version>3.2.14</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/libs/tgtext-3.2.14.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.timevale</groupId>
            <artifactId>utils</artifactId>
            <version>3.0.6</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/libs/utils-3.0.6.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>cfca.sadk</groupId>
            <artifactId>cfca.sadk</artifactId>
            <version>1.0.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/libs/SADK-3.2.5.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>adapay</groupId>
            <artifactId>adapay-java-sdk</artifactId>
            <version>1.1.1</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/libs/adapay-java-sdk-1.1.1.jar
            </systemPath>
        </dependency>
        <dependency>
            <groupId>adapay.core</groupId>
            <artifactId>adapay-core-sdk</artifactId>
            <version>1.1.1</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/libs/adapay-core-sdk-1.1.1.jar
            </systemPath>
        </dependency>
        <dependency>
            <groupId>org.eclipse.paho</groupId>
            <artifactId>org.eclipse.paho.client.mqttv3</artifactId>
            <version>1.2.0</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-openfeign</artifactId>
        </dependency>
        <!-- https://mvnrepository.com/artifact/io.github.openfeign.form/feign-form-spring -->
        <dependency>
            <groupId>io.github.openfeign.form</groupId>
            <artifactId>feign-form-spring</artifactId>
            <version>2.0.5</version>
        </dependency>
        <!-- https://mvnrepository.com/artifact/io.github.openfeign.form/feign-form-spring -->
        <dependency>
            <groupId>io.github.openfeign.form</groupId>
            <artifactId>feign-form-spring</artifactId>
            <version>2.0.5</version>
        </dependency>
        <dependency>
            <groupId>com.baidu.aip</groupId>
            <artifactId>java-sdk</artifactId>
            <version>4.12.0</version>
        </dependency>
        
		<dependency>
			<groupId>com.ksyun</groupId>
			<artifactId>ks3-kss-java-sdk</artifactId>
			<version>0.8.14</version>
		</dependency>
    </dependencies>
</project>
